<!DOCTYPE html>
<!--
        This page was dynamically generated by RATELIMITED File Hosting on: 
-->
<html lang="en">
        <head>

                <!-- Meta Tags -->

                <meta charset="UTF-8">
                <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <meta name="theme-color" content="#191919">

                <!-- OpenGraph -->

                <meta property="og:title" content="RATELIMITED &middot; {{ original_filename }}">
                <meta property="og:site_name" content="RATELIMITED">
                <meta property="og:type" content="website">
                <meta property="og:audio" content="{{ raw_url }}">

                <!-- StyleSheets -->

                <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400">
                <link rel="stylesheet" href="https://assets-cdn.ratelimited.me/file_handler/font_awesome_pro/css/all.css">
                <link rel="stylesheet" type="text/css" href="https://assets-cdn.ratelimited.me/file_handler/v2_r4/css/style.css">

                <!-- Canny -->

                <script type=text/javascript src="https://assets-cdn.ratelimited.me/file_handler/v2_r4/js/canny.js"></script>

                <!-- Theme - Default is Dark -->

                <style id="theme"></style>

                <noscript>
                        <style>
                                .shareDialog,body,html{background-color:#191919}body,html{color:#fff}button{background-color:#f1f1f1}.navBar,.noembed,.sideBar{background-color:#151515}.navBar{border-bottom-color:#252525}.navBar .logo{background-image:url("https://assets-cdn.ratelimited.me/file_handler/v2_r4/img/rlogo-white.png")}.horizontal-line,.vertical-line,.zoomable,.zoomedInImage{background-color:#252525}.sideBar{border-left-color:#252525}.poweredBy div{background-image:url("https://assets-cdn.ratelimited.me/file_handler/v2_r4/img/rlogo-powered-white.png")}.zoomable,.zoomedInImage{background-image:linear-gradient(45deg,#202020 25%,transparent 0,transparent 75%,#202020 0,#202020),linear-gradient(45deg,#202020 25%,transparent 0,transparent 75%,#202020 0,#202020)}.audioControls .volumePopup,.videoControls .statusBar,.videoControls .volumePopup{background-color:#000000bf}.audioControls .statusBar,.audioControls .volumePopup{background-color:#1d1d1d}.audioControls .playButton,.videoControls .playButton{border-left-color:#fff}.audioControls .ended + div .playButton,.audioControls .volume3,.videoControls .ended + div .playButton,.videoControls .fullScreenContainer div,.videoControls .volume3{border-color:#fff}.audioControls .ended + div .playButton,.videoControls .ended + div .playButton{border-left-color:transparent}.audioControls .ended + div .playButton:after,.videoControls .ended + div .playButton:after{border-bottom-color:#fff}.audioControls .volume1:before,.videoControls .volume1:before{border-right-color:#fff}.audioControls .volume1,.audioControls .volume2,.videoControls .volume1,.videoControls .volume2{background-color:#fff}@media screen and (max-width:900px){.navBar .logo{background-image:url("https://assets-cdn.ratelimited.me/file_handler/v2_r4/img/rlogo-small-white.png");width:81px}}
                                .themeChangerWrap,.changeLogWrap,.statusBar,.download,.share {
                                        display: none;
                                }
                                .content {
                                        width: 100%;
                                }
                        </style>
                </noscript>

                <title>RATELIMITED &middot; {{ original_filename }}</title>

        </head>
        <body>

                <iframe class="downloader"></iframe>

                <div class="navBar">
                        <a href="/" class="logo"></a><!-- When elements are displayed as inline blocks there is space between them. This comment removes that space.
                        --><div class="vertical-line"></div>
                        <span class="fileName">{{ original_filename }}</span>
                        <div class="links">
                                <button class="download">Download</button><!--
                                --><button onclick="window.location.href('{{ report_mailto_url }}')">Report</button><!--
                                --><button class="share redButton">Share</button>
                        </div>
                </div>

                <div class="container">
                        <div class="audio controls">
                                <audio class="content" controls onerror="document.querySelector('.audioControls').classList.add('error');document.querySelector('.errored').innerHTML = '<span>This file cannot be displayed, if you think that this is an inconvenience then please contact support.</span>'">
                                        <source src="{{ raw_url }}">
                                </audio>
                                <div class="statusBar">
                                        <input type="range" class="progressSlider" min="0" max="100" step="0.0001" value="0">
                                        <div class="progressBackground">
                                                <div class="currentProgress">
                                                        <div class="currentProgressCircle"></div>
                                                </div>
                                                </div><!--
                                        --><div class="buttonContainer playButtonContainer">
                                                <div class="button playButton"></div>
                                        </div><!--
                                        --><div class="timeContainer">
                                                <span class="currentTime"></span>
                                                <span>/</span>
                                                <span class="duration"></span>
                                        </div><!--
                                        --><div class="buttonContainer volumeContainer">
                                                <div class="volume1"></div>
                                                <div class="volume2"></div>
                                                <div class="volume3"></div>
                                                <div class="volumePopup">
                                                        <div class="currentVolume">
                                                                <div class="currentVolumeCircle"></div>
                                                        </div>
                                                        <input type="range" class="volumeSlider" min="0" max="100" step="1" value="75">
                                                </div>
                                        </div>
                                </div>
                        </div>
                        <div class="errored"></div>
                </div>

                <div class="poweredBy">
                        <span>Powered by</span><div></div>
                </div>

                <div class="sideBar">
                        <div class="fileInfoWrap">
                                <span>File Info</span>
                                <div class="horizontal-line"></div>
                                <span class="fileName">{{ original_filename }}</span>
                                <span class="descriptionPlaceholder">Desc</span>
                                <span class="description">{{ file_description }}</span>
                                <span class="datePlaceholder">Date</span>
                                <span class="date">{{ date_date }}</span>
                                <span class="timePlaceholder">Time</span>
                                <span class="time">{{ date_time }} UTC</span>
                        </div>
                        <div class="changeLogWrap">
                                <button class="redButton" data-canny-changelog>View Changelog</button>
                        </div>
                        <div class="themeChangerWrap">
                                <span>Theme</span>
                                <div class="horizontal-line"></div>
                                <label class="switch">
                                        <input id="themeSwitch" type="checkbox">
                                        <span class="slider">
                                                <i class="fas fa-sun"></i>
                                                <i class="fas fa-moon-stars"></i>
                                        </span>
                                </label>
                        </div>
                </div>

                <div class="zoomedIn"></div>

                <div class="shareDialogContainer"></div>

        </body>

        <!-- JavaScript -->

        <script type="text/javascript" src="https://assets-cdn.ratelimited.me/file_handler/v2_r4/js/customControls.js"></script>
        <script type="text/javascript" src="https://assets-cdn.ratelimited.me/file_handler/v2_r4/js/script.js"></script>

</html>